package com.mogo.cloud.socket;

/**
 * AI云平台长链消息回调
 */
public interface IMogoCloudSocketOnMessageListener<T> {

    /**
     * 获取解析实例对象
     * @param msgType 消息类型
     * @return class
     */
    Class<T> target(int msgType);

    /**
     * 消息接收回调
     * @param msgType 消息类型
     * @param obj T 业务bean数据
     */
    void onMsgReceived(int msgType, T obj);
}
